Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 06/07/2020, à 13:27

marcopolo75

sudo apt --fix-broken install returned an error

Pendant l’installation de drivers nvidia, j’ai rencontré des obstacles, on me propose, la commande apt-fix broken.  J’ai vu qu’il y avait d’autres conversations ouvertes sur ce sujet. Je suis débutant sur ubuntu j'ai essayé de m'inspirer de ce qui a été fait (sans toujours comprendre),  mais je n'arrive pas à résoudre le problème par moi même, pourriez-vous m'aider s'il vous plaît ?


sudo apt --fix-broken install
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets supplémentaires suivants seront installés : 
  libnvidia-gl-440 libnvidia-gl-440:i386
Les NOUVEAUX paquets suivants seront installés :
  libnvidia-gl-440 libnvidia-gl-440:i386
0 mis à jour, 2 nouvellement installés, 0 à enlever et 51 non mis à jour.
8 partiellement installés ou enlevés.
Il est nécessaire de prendre 79,6 Mo dans les archives.
Après cette opération, 281 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Réception de :1 [url]http://fr.archive.ubuntu.com/ubuntu[/url] bionic-updates/restricted i386 libnvidia-gl-440 i386 440.100-0ubuntu0.18.04.1 [16,8 MB]
Réception de :2 [url]http://fr.archive.ubuntu.com/ubuntu[/url] bionic-updates/restricted amd64 libnvidia-gl-440 amd64 440.100-0ubuntu0.18.04.1 [62,9 MB]
79,6 Mo réceptionnés en 17s (4561 ko/s)                                                                                          
(Lecture de la base de données... 223911 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libnvidia-gl-440_440.100-0ubuntu0.18.04.1_i386.deb ...
détournement de /usr/lib/i386-linux-gnu/libGL.so.1 en /usr/lib/i386-linux-gnu/libGL.so.1.distrib par nvidia-340
dpkg-divert: erreur: erreur de correspondance sur paquet
  lors de la suppression de « détournement de /usr/lib/i386-linux-gnu/libGL.so.1 par libnvidia-gl-440 »
  « détournement de /usr/lib/i386-linux-gnu/libGL.so.1 en /usr/lib/i386-linux-gnu/libGL.so.1.distrib par nvidia-340 » trouvé
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_i386.deb (--unpack) :
 new libnvidia-gl-440:i386 package pre-installation script subprocess returned error exit status 2
Préparation du dépaquetage de .../libnvidia-gl-440_440.100-0ubuntu0.18.04.1_amd64.deb ...
détournement de /usr/lib/x86_64-linux-gnu/libGL.so.1 en /usr/lib/x86_64-linux-gnu/libGL.so.1.distrib par nvidia-340
dpkg-divert: erreur: erreur de correspondance sur paquet
  lors de la suppression de « détournement de /usr/lib/x86_64-linux-gnu/libGL.so.1 par libnvidia-gl-440 »
  « détournement de /usr/lib/x86_64-linux-gnu/libGL.so.1 en /usr/lib/x86_64-linux-gnu/libGL.so.1.distrib par nvidia-340 » trouvé
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_amd64.deb (--unpack) :
 new libnvidia-gl-440:amd64 package pre-installation script subprocess returned error exit status 2
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_i386.deb
 /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
(base) utilisateur@agrop049:~$ sudo apt-get remove --purge nvidia*
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet nvidia-machine-learning-repo-ubuntu1804_1.0.0-1_amd64.deb
E: Impossible de trouver de paquet correspondant à l'expression rationnelle « nvidia-machine-learning-repo-ubuntu1804_1.0.0-1_amd64.deb »
E: Impossible de trouver de paquet correspondant à l'expression rationnelle « nvidia-machine-learning-repo-ubuntu1804_1.0.0-1_amd64.deb »
E: Impossible de trouver le paquet nvidia-machine-learning-repo-ubuntu1804_1.0.0-1_amd64.deb.1
E: Impossible de trouver de paquet correspondant à l'expression rationnelle « nvidia-machine-learning-repo-ubuntu1804_1.0.0-1_amd64.deb.1 »
E: Impossible de trouver de paquet correspondant à l'expression rationnelle « nvidia-machine-learning-repo-ubuntu1804_1.0.0-1_amd64.deb.1 »
(base) utilisateur@agrop049:~$ sudo apt-get autoremove --purge
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt --fix-broken install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 libnvidia-ifr1-440 : Dépend: libnvidia-gl-440 mais il n'est pas installé
 libnvidia-ifr1-440:i386 : Dépend: libnvidia-gl-440:i386 mais il n'est pas installé
 nvidia-driver-440 : Dépend: libnvidia-gl-440 (= 440.100-0ubuntu0.18.04.1) mais il n'est pas installé
                     Recommande: libnvidia-gl-440:i386 (= 440.100-0ubuntu0.18.04.1)
E: Dépendances non satisfaites. Essayez « apt --fix-broken install » sans paquet
   (ou indiquez une solution).
(base) utilisateur@agrop049:~$ sudo apt-get update && sudo apt-get upgrade
Atteint :1 [url]https://brave-browser-apt-release.s3.brave.com[/url] stable InRelease
Atteint :2 [url]http://fr.archive.ubuntu.com/ubuntu[/url] bionic InRelease
Atteint :3 [url]http://fr.archive.ubuntu.com/ubuntu[/url] bionic-updates InRelease                                                           
Atteint :4 [url]http://fr.archive.ubuntu.com/ubuntu[/url] bionic-backports InRelease                                                         
Atteint :5 [url]http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu[/url] bionic InRelease                                                  
Atteint :6 [url]https://repo.skype.com/deb[/url] stable InRelease                                                                            
Atteint :7 [url]http://dl.google.com/linux/chrome/deb[/url] stable InRelease                                                                 
Réception de :8 [url]http://security.ubuntu.com/ubuntu[/url] bionic-security InRelease [88,7 kB]                                             
Ign :9 [url]http://repo.mongodb.org/apt/ubuntu[/url] bionic/mongodb-org/4.0 InRelease                                                        
Atteint :10 [url]http://repo.mongodb.org/apt/ubuntu[/url] bionic/mongodb-org/4.0 Release                                                     
Atteint :11 [url]http://download.virtualbox.org/virtualbox/debian[/url] bionic InRelease                                                     
Ign :12 [url]http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64[/url]  InRelease    
Atteint :13 [url]http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64[/url]  Release
Réception de :14 [url]http://security.ubuntu.com/ubuntu[/url] bionic-security/main amd64 DEP-11 Metadata [46,1 kB]
Réception de :15 [url]http://security.ubuntu.com/ubuntu[/url] bionic-security/universe amd64 DEP-11 Metadata [49,2 kB]
Réception de :16 [url]http://security.ubuntu.com/ubuntu[/url] bionic-security/multiverse amd64 DEP-11 Metadata [2464 B]
186 ko réceptionnés en 12s (16,1 ko/s)                                       
Lecture des listes de paquets... Fait
N: Le fichier configuré « contrib/binary-i386/Packages » ne sera pas pris en compte car le dépôt « [url]http://download.virtualbox.org/virtualbox/debian[/url] bionic InRelease » ne prend pas en charge l'architecture « i386 »
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt --fix-broken install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 libnvidia-ifr1-440 : Dépend: libnvidia-gl-440 mais il n'est pas installé
 libnvidia-ifr1-440:i386 : Dépend: libnvidia-gl-440:i386 mais il n'est pas installé
 nvidia-driver-440 : Dépend: libnvidia-gl-440 (= 440.100-0ubuntu0.18.04.1) mais il n'est pas installé
                     Recommande: libnvidia-gl-440:i386 (= 440.100-0ubuntu0.18.04.1)
E: Dépendances non satisfaites. Essayez « apt --fix-broken install » sans paquet
   (ou indiquez une solution).
(base) utilisateur@agrop049:~$ apt --fix-broken install
E: Impossible d'ouvrir le fichier verrou /var/lib/dpkg/lock-frontend - open (13: Permission non accordée)
E: Impossible d'obtenir le verrou de dpkg (/var/lib/dpkg/lock-frontend). Avez-vous les droits du superutilisateur ?
(base) utilisateur@agrop049:~$ sudo apt --fix-broken install
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets supplémentaires suivants seront installés : 
  libnvidia-gl-440 libnvidia-gl-440:i386
Les NOUVEAUX paquets suivants seront installés :
  libnvidia-gl-440 libnvidia-gl-440:i386
0 mis à jour, 2 nouvellement installés, 0 à enlever et 51 non mis à jour.
8 partiellement installés ou enlevés.
Il est nécessaire de prendre 0 o/79,6 Mo dans les archives.
Après cette opération, 281 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
(Lecture de la base de données... 223911 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libnvidia-gl-440_440.100-0ubuntu0.18.04.1_i386.deb ...
détournement de /usr/lib/i386-linux-gnu/libGL.so.1 en /usr/lib/i386-linux-gnu/libGL.so.1.distrib par nvidia-340
dpkg-divert: erreur: erreur de correspondance sur paquet
  lors de la suppression de « détournement de /usr/lib/i386-linux-gnu/libGL.so.1 par libnvidia-gl-440 »
  « détournement de /usr/lib/i386-linux-gnu/libGL.so.1 en /usr/lib/i386-linux-gnu/libGL.so.1.distrib par nvidia-340 » trouvé
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_i386.deb (--unpack) :
 new libnvidia-gl-440:i386 package pre-installation script subprocess returned error exit status 2
Préparation du dépaquetage de .../libnvidia-gl-440_440.100-0ubuntu0.18.04.1_amd64.deb ...
détournement de /usr/lib/x86_64-linux-gnu/libGL.so.1 en /usr/lib/x86_64-linux-gnu/libGL.so.1.distrib par nvidia-340
dpkg-divert: erreur: erreur de correspondance sur paquet
  lors de la suppression de « détournement de /usr/lib/x86_64-linux-gnu/libGL.so.1 par libnvidia-gl-440 »
  « détournement de /usr/lib/x86_64-linux-gnu/libGL.so.1 en /usr/lib/x86_64-linux-gnu/libGL.so.1.distrib par nvidia-340 » trouvé
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_amd64.deb (--unpack) :
 new libnvidia-gl-440:amd64 package pre-installation script subprocess returned error exit status 2
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_i386.deb
 /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
(base) utilisateur@agrop049:~$ sudo dpkg-divert --remove /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_i386.debPas de détournement « tout détournement de /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_i386.deb », aucun supprimé.
(base) utilisateur@agrop049:~$ sudo dpkg-divert --remove /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_amd64.deb
Pas de détournement « tout détournement de /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_amd64.deb », aucun supprimé.
(base) utilisateur@agrop049:~$ sudo for FILE in $(dpkg-divert --list | grep nvidia-340 | awk '{print $3}'); do dpkg-divert --remove $FILE; done
bash: erreur de syntaxe près du symbole inattendu « do »
(base) utilisateur@agrop049:~$ sudo dpkg -P nvidia-340
[sudo] Mot de passe de utilisateur : 
dpkg: avertissement: requête ignorée : suppression de nvidia-340, qui n'est pas installé
(base) utilisateur@agrop049:~$ sudo apt-get install -f
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets supplémentaires suivants seront installés : 
  libnvidia-gl-440 libnvidia-gl-440:i386
Les NOUVEAUX paquets suivants seront installés :
  libnvidia-gl-440 libnvidia-gl-440:i386
0 mis à jour, 2 nouvellement installés, 0 à enlever et 51 non mis à jour.
8 partiellement installés ou enlevés.
Il est nécessaire de prendre 0 o/79,6 Mo dans les archives.
Après cette opération, 281 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
(Lecture de la base de données... 223911 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libnvidia-gl-440_440.100-0ubuntu0.18.04.1_i386.deb ...
détournement de /usr/lib/i386-linux-gnu/libGL.so.1 en /usr/lib/i386-linux-gnu/libGL.so.1.distrib par nvidia-340
dpkg-divert: erreur: erreur de correspondance sur paquet
  lors de la suppression de « détournement de /usr/lib/i386-linux-gnu/libGL.so.1 par libnvidia-gl-440 »
  « détournement de /usr/lib/i386-linux-gnu/libGL.so.1 en /usr/lib/i386-linux-gnu/libGL.so.1.distrib par nvidia-340 » trouvé
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_i386.deb (--unpack) :
 new libnvidia-gl-440:i386 package pre-installation script subprocess returned error exit status 2
Préparation du dépaquetage de .../libnvidia-gl-440_440.100-0ubuntu0.18.04.1_amd64.deb ...
détournement de /usr/lib/x86_64-linux-gnu/libGL.so.1 en /usr/lib/x86_64-linux-gnu/libGL.so.1.distrib par nvidia-340
dpkg-divert: erreur: erreur de correspondance sur paquet
  lors de la suppression de « détournement de /usr/lib/x86_64-linux-gnu/libGL.so.1 par libnvidia-gl-440 »
  « détournement de /usr/lib/x86_64-linux-gnu/libGL.so.1 en /usr/lib/x86_64-linux-gnu/libGL.so.1.distrib par nvidia-340 » trouvé
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_amd64.deb (--unpack) :
 new libnvidia-gl-440:amd64 package pre-installation script subprocess returned error exit status 2
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_i386.deb
 /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
(base) utilisateur@agrop049:~$ sudo apt --fix-broken install
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets supplémentaires suivants seront installés : 
  libnvidia-gl-440 libnvidia-gl-440:i386
Les NOUVEAUX paquets suivants seront installés :
  libnvidia-gl-440 libnvidia-gl-440:i386
0 mis à jour, 2 nouvellement installés, 0 à enlever et 51 non mis à jour.
8 partiellement installés ou enlevés.
Il est nécessaire de prendre 0 o/79,6 Mo dans les archives.
Après cette opération, 281 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
(Lecture de la base de données... 223911 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libnvidia-gl-440_440.100-0ubuntu0.18.04.1_i386.deb ...
détournement de /usr/lib/i386-linux-gnu/libGL.so.1 en /usr/lib/i386-linux-gnu/libGL.so.1.distrib par nvidia-340
dpkg-divert: erreur: erreur de correspondance sur paquet
  lors de la suppression de « détournement de /usr/lib/i386-linux-gnu/libGL.so.1 par libnvidia-gl-440 »
  « détournement de /usr/lib/i386-linux-gnu/libGL.so.1 en /usr/lib/i386-linux-gnu/libGL.so.1.distrib par nvidia-340 » trouvé
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_i386.deb (--unpack) :
 new libnvidia-gl-440:i386 package pre-installation script subprocess returned error exit status 2
Préparation du dépaquetage de .../libnvidia-gl-440_440.100-0ubuntu0.18.04.1_amd64.deb ...
détournement de /usr/lib/x86_64-linux-gnu/libGL.so.1 en /usr/lib/x86_64-linux-gnu/libGL.so.1.distrib par nvidia-340
dpkg-divert: erreur: erreur de correspondance sur paquet
  lors de la suppression de « détournement de /usr/lib/x86_64-linux-gnu/libGL.so.1 par libnvidia-gl-440 »
  « détournement de /usr/lib/x86_64-linux-gnu/libGL.so.1 en /usr/lib/x86_64-linux-gnu/libGL.so.1.distrib par nvidia-340 » trouvé
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_amd64.deb (--unpack) :
 new libnvidia-gl-440:amd64 package pre-installation script subprocess returned error exit status 2
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_i386.deb
 /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
(base) utilisateur@agrop049:~$ sudo apt-get autoremove
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt --fix-broken install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 libnvidia-ifr1-440 : Dépend: libnvidia-gl-440 mais il n'est pas installé
 libnvidia-ifr1-440:i386 : Dépend: libnvidia-gl-440:i386 mais il n'est pas installé
 nvidia-driver-440 : Dépend: libnvidia-gl-440 (= 440.100-0ubuntu0.18.04.1) mais il n'est pas installé
                     Recommande: libnvidia-gl-440:i386 (= 440.100-0ubuntu0.18.04.1)
E: Dépendances non satisfaites. Essayez « apt --fix-broken install » sans paquet
   (ou indiquez une solution).
(base) utilisateur@agrop049:~$   sudo apt-get clean
(base) utilisateur@agrop049:~$ sudo apt-get autoclean
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
(base) utilisateur@agrop049:~$ sudo apt --fix-broken
E: L'option --fix-broken de la ligne de commande n'est pas reconnue quand elle est utilisée avec d'autres options.
(base) utilisateur@agrop049:~$ sudo apt --fix-broken install
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets supplémentaires suivants seront installés : 
  libnvidia-gl-440 libnvidia-gl-440:i386
Les NOUVEAUX paquets suivants seront installés :
  libnvidia-gl-440 libnvidia-gl-440:i386
0 mis à jour, 2 nouvellement installés, 0 à enlever et 51 non mis à jour.
8 partiellement installés ou enlevés.
Il est nécessaire de prendre 79,6 Mo dans les archives.
Après cette opération, 281 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Réception de :1 [url]http://fr.archive.ubuntu.com/ubuntu[/url] bionic-updates/restricted i386 libnvidia-gl-440 i386 440.100-0ubuntu0.18.04.1 [16,8 MB]
Réception de :2 [url]http://fr.archive.ubuntu.com/ubuntu[/url] bionic-updates/restricted amd64 libnvidia-gl-440 amd64 440.100-0ubuntu0.18.04.1 [62,9 MB]
79,6 Mo réceptionnés en 17s (4595 ko/s)                                                                                          
(Lecture de la base de données... 223911 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libnvidia-gl-440_440.100-0ubuntu0.18.04.1_i386.deb ...
détournement de /usr/lib/i386-linux-gnu/libGL.so.1 en /usr/lib/i386-linux-gnu/libGL.so.1.distrib par nvidia-340
dpkg-divert: erreur: erreur de correspondance sur paquet
  lors de la suppression de « détournement de /usr/lib/i386-linux-gnu/libGL.so.1 par libnvidia-gl-440 »
  « détournement de /usr/lib/i386-linux-gnu/libGL.so.1 en /usr/lib/i386-linux-gnu/libGL.so.1.distrib par nvidia-340 » trouvé
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_i386.deb (--unpack) :
 new libnvidia-gl-440:i386 package pre-installation script subprocess returned error exit status 2
Préparation du dépaquetage de .../libnvidia-gl-440_440.100-0ubuntu0.18.04.1_amd64.deb ...
détournement de /usr/lib/x86_64-linux-gnu/libGL.so.1 en /usr/lib/x86_64-linux-gnu/libGL.so.1.distrib par nvidia-340
dpkg-divert: erreur: erreur de correspondance sur paquet
  lors de la suppression de « détournement de /usr/lib/x86_64-linux-gnu/libGL.so.1 par libnvidia-gl-440 »
  « détournement de /usr/lib/x86_64-linux-gnu/libGL.so.1 en /usr/lib/x86_64-linux-gnu/libGL.so.1.distrib par nvidia-340 » trouvé
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_amd64.deb (--unpack) :
 new libnvidia-gl-440:amd64 package pre-installation script subprocess returned error exit status 2
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_i386.deb
 /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Dernière modification par marcopolo75 (Le 06/07/2020, à 13:52)

Hors ligne

#2 Le 06/07/2020, à 13:34

xubu1957

Re : sudo apt --fix-broken install returned an error

Bonjour,

Pour ajouter toi-même les balises code à ton précédent message #1 :                         Merci                 wink

  • Cliquer sur  le lien « Modifier » en bas à droite du message

  • Sélectionner le texte

  • Cliquer sur le <> de l'éditeur de message

1578079461.png

comme indiqué dans le premier message du tutoriel Retour utilisable de commande

_ _ _

Montre, en te servant du Retour utilisable de commande :

lspci -vnn | grep -A12 '\''[030[02]\]' | grep -Ei "vga|3d|display|kernel"
ubuntu-drivers devices
dpkg -l | grep nvidia
uname -a

et :

dpkg -l | grep -v ^ii

Dernière modification par xubu1957 (Le 06/07/2020, à 14:01)


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#3 Le 06/07/2020, à 13:56

marcopolo75

Re : sudo apt --fix-broken install returned an error

Merci de votre retour très rapide,
Voici les résultats, après les commandes indiquées.

(base) utilisateur@agrop049:~$ lspci -vnn | grep -A12 '\''[030[02]\]' | grep -Ei "vga|3d|display|kernel"
01:00.0 VGA compatible controller [0300]: NVIDIA Corporation G94GLM [Quadro FX 2700M] [10de:063a] (rev a1) (prog-if 00 [VGA controller])
	Kernel modules: nvidiafb, nouveau, nvidia_drm, nvidia
(base) utilisateur@agrop049:~$ ubuntu-drivers devices
== /sys/devices/pci0000:00/0000:00:01.0/0000:01:00.0 ==
modalias : pci:v000010DEd0000063Asv00001028sd0000019Bbc03sc00i00
vendor   : NVIDIA Corporation
model    : G94GLM [Quadro FX 2700M]
manual_install: True
driver   : nvidia-304 - third-party free
driver   : nvidia-340 - distro non-free recommended
driver   : xserver-xorg-video-nouveau - distro free builtin

(base) utilisateur@agrop049:~$ dpkg -l | grep nvidia
ii  libnvidia-cfg1-440:amd64                   440.100-0ubuntu0.18.04.1                         amd64        NVIDIA binary OpenGL/GLX configuration library
ii  libnvidia-common-440                       440.100-0ubuntu0.18.04.1                         all          Shared files used by the NVIDIA libraries
ii  libnvidia-compute-440:amd64                440.100-0ubuntu0.18.04.1                         amd64        NVIDIA libcompute package
ii  libnvidia-compute-440:i386                 440.100-0ubuntu0.18.04.1                         i386         NVIDIA libcompute package
ii  libnvidia-decode-440:amd64                 440.100-0ubuntu0.18.04.1                         amd64        NVIDIA Video Decoding runtime libraries
ii  libnvidia-decode-440:i386                  440.100-0ubuntu0.18.04.1                         i386         NVIDIA Video Decoding runtime libraries
ii  libnvidia-encode-440:amd64                 440.100-0ubuntu0.18.04.1                         amd64        NVENC Video Encoding runtime library
ii  libnvidia-encode-440:i386                  440.100-0ubuntu0.18.04.1                         i386         NVENC Video Encoding runtime library
ii  libnvidia-extra-440:amd64                  440.100-0ubuntu0.18.04.1                         amd64        Extra libraries for the NVIDIA driver
ii  libnvidia-fbc1-440:amd64                   440.100-0ubuntu0.18.04.1                         amd64        NVIDIA OpenGL-based Framebuffer Capture runtime library
ii  libnvidia-fbc1-440:i386                    440.100-0ubuntu0.18.04.1                         i386         NVIDIA OpenGL-based Framebuffer Capture runtime library
iU  libnvidia-ifr1-440:amd64                   440.100-0ubuntu0.18.04.1                         amd64        NVIDIA OpenGL-based Inband Frame Readback runtime library
iU  libnvidia-ifr1-440:i386                    440.100-0ubuntu0.18.04.1                         i386         NVIDIA OpenGL-based Inband Frame Readback runtime library
iU  nvidia-367                                 375.82-0ubuntu3                                  amd64        Transitional package for nvidia-375
iU  nvidia-375                                 384.111-0ubuntu1                                 amd64        Transitional package for nvidia-384
iU  nvidia-384                                 418.152.00-0ubuntu1                              amd64        Transitional package for nvidia-driver-418
ii  nvidia-compute-utils-440                   440.100-0ubuntu0.18.04.1                         amd64        NVIDIA compute utilities
ii  nvidia-dkms-440                            440.100-0ubuntu0.18.04.1                         amd64        NVIDIA DKMS package
iU  nvidia-driver-418                          430.64-0ubuntu0~gpu18.04.1                       amd64        Transitional package for nvidia-driver-430
iU  nvidia-driver-430                          440.100-0ubuntu0.18.04.1                         amd64        Transitional package for nvidia-driver-440
rU  nvidia-driver-440                          440.100-0ubuntu0.18.04.1                         amd64        NVIDIA driver metapackage
ii  nvidia-kernel-common-440                   440.100-0ubuntu0.18.04.1                         amd64        Shared files used with the kernel module
ii  nvidia-kernel-source-440                   440.100-0ubuntu0.18.04.1                         amd64        NVIDIA kernel source package
ii  nvidia-prime                               0.8.8.2                                          all          Tools to enable NVIDIA's Prime
ii  nvidia-settings                            450.36.06-0ubuntu1                               amd64        Tool for configuring the NVIDIA graphics driver
ii  nvidia-utils-440                           440.100-0ubuntu0.18.04.1                         amd64        NVIDIA driver support binaries
ii  xserver-xorg-video-nvidia-440              440.100-0ubuntu0.18.04.1                         amd64        NVIDIA binary Xorg driver
(base) utilisateur@agrop049:~$ uname -a
Linux agrop049 5.3.0-62-generic #56~18.04.1-Ubuntu SMP Wed Jun 24 16:17:03 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
(base) utilisateur@agrop049:~$ dpkg -l | grep -v ^ii
Souhait=inconnU/Installé/suppRimé/Purgé/H=à garder
| État=Non/Installé/fichier-Config/dépaqUeté/échec-conFig/H=semi-installé/W=attend-traitement-déclenchements
|/ Err?=(aucune)/besoin Réinstallation (État,Err: majuscule=mauvais)
||/ Nom                                        Version                                          Architecture Description
+++-==========================================-================================================-============-===================================================================================
it  libc-bin                                   2.27-3ubuntu1                                    amd64        GNU C Library: Binaries
iU  libnvidia-ifr1-440:amd64                   440.100-0ubuntu0.18.04.1                         amd64        NVIDIA OpenGL-based Inband Frame Readback runtime library
iU  libnvidia-ifr1-440:i386                    440.100-0ubuntu0.18.04.1                         i386         NVIDIA OpenGL-based Inband Frame Readback runtime library
rc  linux-image-5.0.0-23-generic               5.0.0-23.24~18.04.1                              amd64        Signed kernel image generic
rc  linux-image-5.3.0-42-generic               5.3.0-42.34~18.04.1                              amd64        Signed kernel image generic
rc  linux-image-5.3.0-45-generic               5.3.0-45.37~18.04.1                              amd64        Signed kernel image generic
rc  linux-modules-5.0.0-23-generic             5.0.0-23.24~18.04.1                              amd64        Linux kernel extra modules for version 5.0.0 on 64 bit x86 SMP
rc  linux-modules-5.3.0-42-generic             5.3.0-42.34~18.04.1                              amd64        Linux kernel extra modules for version 5.3.0 on 64 bit x86 SMP
rc  linux-modules-5.3.0-45-generic             5.3.0-45.37~18.04.1                              amd64        Linux kernel extra modules for version 5.3.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.0.0-23-generic       5.0.0-23.24~18.04.1                              amd64        Linux kernel extra modules for version 5.0.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.3.0-42-generic       5.3.0-42.34~18.04.1                              amd64        Linux kernel extra modules for version 5.3.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.3.0-45-generic       5.3.0-45.37~18.04.1                              amd64        Linux kernel extra modules for version 5.3.0 on 64 bit x86 SMP
rc  mongodb-server                             1:3.6.3-0ubuntu1.1                               all          object/document-oriented database (managed server package)
iU  nvidia-367                                 375.82-0ubuntu3                                  amd64        Transitional package for nvidia-375
iU  nvidia-375                                 384.111-0ubuntu1                                 amd64        Transitional package for nvidia-384
iU  nvidia-384                                 418.152.00-0ubuntu1                              amd64        Transitional package for nvidia-driver-418
iU  nvidia-driver-418                          430.64-0ubuntu0~gpu18.04.1                       amd64        Transitional package for nvidia-driver-430
iU  nvidia-driver-430                          440.100-0ubuntu0.18.04.1                         amd64        Transitional package for nvidia-driver-440
rU  nvidia-driver-440                          440.100-0ubuntu0.18.04.1                         amd64        NVIDIA driver metapackage

Hors ligne

#4 Le 06/07/2020, à 14:03

xubu1957

Re : sudo apt --fix-broken install returned an error

it  libc-bin                                   2.27-3ubuntu1                                    amd64        GNU C Library: Binaries
iU  libnvidia-ifr1-440:amd64                   440.100-0ubuntu0.18.04.1                         amd64        NVIDIA OpenGL-based Inband Frame Readback runtime library
iU  libnvidia-ifr1-440:i386                    440.100-0ubuntu0.18.04.1                         i386         NVIDIA OpenGL-based Inband Frame Readback runtime library

iU  nvidia-367                                 375.82-0ubuntu3                                  amd64        Transitional package for nvidia-375
iU  nvidia-375                                 384.111-0ubuntu1                                 amd64        Transitional package for nvidia-384
iU  nvidia-384                                 418.152.00-0ubuntu1                              amd64        Transitional package for nvidia-driver-418
iU  nvidia-driver-418                          430.64-0ubuntu0~gpu18.04.1                       amd64        Transitional package for nvidia-driver-430
iU  nvidia-driver-430                          440.100-0ubuntu0.18.04.1                         amd64        Transitional package for nvidia-driver-440
rU  nvidia-driver-440                          440.100-0ubuntu0.18.04.1                         amd64        NVIDIA driver metapackage

Il faudra des aidants plus pointus que xubu, pour remettre d'aplomb tous ces paquets !

_ _ _

Je vais demander à nany.

Dernière modification par xubu1957 (Le 06/07/2020, à 14:06)


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#5 Le 06/07/2020, à 16:38

nany

Re : sudo apt --fix-broken install returned an error

Bonjour,



Quelle idée t’a pris à vouloir installer le driver 440 alors que c’est le 340 qui est recommandé ?

Bon, pour commencer, donne le retour de :

dpkg -l | awk '/^rc/{print $2}' | xargs -r sudo dpkg -P

Puis de :

sudo dpkg -P nvidia*

Hors ligne

#6 Le 07/07/2020, à 08:12

marcopolo75

Re : sudo apt --fix-broken install returned an error

Voici ce que donne les commandes :

utilisateur@agrop049:~$ dpkg -l | awk '/^rc/{print $2}' | xargs -r sudo dpkg -P
[sudo] Mot de passe de utilisateur : 
(Lecture de la base de données... 223910 fichiers et répertoires déjà installés.)
Purge des fichiers de configuration de linux-image-5.0.0-23-generic (5.0.0-23.24~18.04.1) ...
Purge des fichiers de configuration de linux-image-5.3.0-42-generic (5.3.0-42.34~18.04.1) ...
Purge des fichiers de configuration de linux-image-5.3.0-45-generic (5.3.0-45.37~18.04.1) ...
rmdir: impossible de supprimer '/lib/modules/5.3.0-45-generic': Le dossier n'est pas vide
Purge des fichiers de configuration de linux-modules-5.0.0-23-generic (5.0.0-23.24~18.04.1) ...
Purge des fichiers de configuration de linux-modules-5.3.0-42-generic (5.3.0-42.34~18.04.1) ...
Purge des fichiers de configuration de linux-modules-5.3.0-45-generic (5.3.0-45.37~18.04.1) ...
dpkg: avertissement: lors de la suppression de linux-modules-5.3.0-45-generic, le répertoire « /lib/modules/5.3.0-45-generic » n'était pas vide, donc il n'a pas été supprimé
Purge des fichiers de configuration de linux-modules-extra-5.0.0-23-generic (5.0.0-23.24~18.04.1) ...
Purge des fichiers de configuration de linux-modules-extra-5.3.0-42-generic (5.3.0-42.34~18.04.1) ...
Purge des fichiers de configuration de linux-modules-extra-5.3.0-45-generic (5.3.0-45.37~18.04.1) ...
Purge des fichiers de configuration de mongodb-server (1:3.6.3-0ubuntu1.1) ...
dpkg: avertissement: lors de la suppression de mongodb-server, le répertoire « /var/log/mongodb » n'était pas vide, donc il n'a pas été supprimé
dpkg: avertissement: lors de la suppression de mongodb-server, le répertoire « /var/lib/mongodb » n'était pas vide, donc il n'a pas été supprimé
Traitement des actions différées (« triggers ») pour systemd (237-3ubuntu10.40) ...
Traitement des actions différées (« triggers ») pour ureadahead (0.100.0-21) ...
ureadahead will be reprofiled on next reboot
(base) utilisateur@agrop049:~$ sudo dpkg -P nvidia*
dpkg: erreur: vous devez spécifier les paquets par leur nom, et non par le nom des fichiers qui les contiennent

Utilisez « dpkg --help » pour obtenir de l'aide à propos de l'installation et la désinstallation des paquets [*] ;
Utilisez « apt » ou « aptitude » pour gérer les paquets de manière plus conviviale ;
Utilisez « dpkg -Dhelp » pour obtenir la liste des valeurs de drapeaux de débogage ;
Utilisez « dpkg --force-help » pour consulter la liste des options de forçage ;
Utilisez « dpkg-deb --help » pour obtenir de l'aide sur la manipulation des fichiers *.deb ;

Les options marquées d'un [*] affichent beaucoup d'informations : tubez-les à travers « less » ou « more ».

Je ne suis plus sûr de la raison pour laquelle j'ai installé le terminal 440  car j'ai perdu ma fenêtre de terminal. Mais en gros j'essaie de faire d'installer  CUDA, cuDNN, pour utiliser tensorflow (python) avec le GPU.

Dans un tuto que j'ai suivi ces lignes sont indiquées.

sudo apt-get remove --purge '^nvidia-.*'
sudo apt-get install --no-install-recommends nvidia-driver-430

Ensuite j'ai rencontré des messages d'erreur et la commande nvidia-smi ne fonctionnait plus. J'ai probablement essayé d'installer le driver 440 à ce moment là mais je ne suis pas sûr

En tout cas un grand merci pour votre aide.

Dernière modification par marcopolo75 (Le 07/07/2020, à 08:14)

Hors ligne

#7 Le 07/07/2020, à 09:38

nany

Re : sudo apt --fix-broken install returned an error

Bien, la commande dpkg n’a pas marché avec le joker, essayons apt.
Donne le retour de :

sudo apt purge nvidia*

Hors ligne

#8 Le 07/07/2020, à 09:41

marcopolo75

Re : sudo apt --fix-broken install returned an error

Voici la commande.

(base) utilisateur@agrop049:~$ sudo apt purge nvidia*
[sudo] Mot de passe de utilisateur : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet nvidia-machine-learning-repo-ubuntu1804_1.0.0-1_amd64.deb
E: Impossible de trouver de paquet correspondant à l'expression rationnelle « nvidia-machine-learning-repo-ubuntu1804_1.0.0-1_amd64.deb »
E: Impossible de trouver de paquet correspondant à l'expression rationnelle « nvidia-machine-learning-repo-ubuntu1804_1.0.0-1_amd64.deb »
E: Impossible de trouver le paquet nvidia-machine-learning-repo-ubuntu1804_1.0.0-1_amd64.deb.1
E: Impossible de trouver de paquet correspondant à l'expression rationnelle « nvidia-machine-learning-repo-ubuntu1804_1.0.0-1_amd64.deb.1 »
E: Impossible de trouver de paquet correspondant à l'expression rationnelle « nvidia-machine-learning-repo-ubuntu1804_1.0.0-1_amd64.deb.1 »

Hors ligne

#9 Le 07/07/2020, à 10:00

nany

Re : sudo apt --fix-broken install returned an error

Grmpf !

Donne le retour de :

dpkg -l | awk '/nvidia/{print $2}' | xargs -r sudo dpkg -P

Dernière modification par nany (Le 07/07/2020, à 10:01)

Hors ligne

#10 Le 07/07/2020, à 10:02

marcopolo75

Re : sudo apt --fix-broken install returned an error

(base) utilisateur@agrop049:~$ dpkg -l | awk '/nvidia/{print $1}' | xargs -r sudo dpkg -P
[sudo] Mot de passe de utilisateur : 
Paquet ii listé plus d'une fois, mais traité une seule fois.
Paquet iu listé plus d'une fois, mais traité une seule fois.
dpkg: avertissement: requête ignorée : suppression de ii, qui n'est pas installé
dpkg: avertissement: requête ignorée : suppression de iu, qui n'est pas installé
dpkg: avertissement: requête ignorée : suppression de ru, qui n'est pas installé

Hors ligne

#11 Le 07/07/2020, à 10:03

nany

Re : sudo apt --fix-broken install returned an error

Recommence. J’ai corrigé la commande mais trop tard :

dpkg -l | awk '/nvidia/{print $2}' | xargs -r sudo dpkg -P

Hors ligne

#12 Le 07/07/2020, à 10:13

marcopolo75

Re : sudo apt --fix-broken install returned an error

(base) utilisateur@agrop049:~$ dpkg -l | awk '/nvidia/{print $2}' | xargs -r sudo dpkg -P
(Lecture de la base de données... 223902 fichiers et répertoires déjà installés.)
Suppression de libnvidia-common-440 (440.100-0ubuntu0.18.04.1) ...
Suppression de libnvidia-encode-440:i386 (440.100-0ubuntu0.18.04.1) ...
Suppression de libnvidia-fbc1-440:i386 (440.100-0ubuntu0.18.04.1) ...
Suppression de libnvidia-ifr1-440:i386 (440.100-0ubuntu0.18.04.1) ...
Suppression de nvidia-367 (375.82-0ubuntu3) ...
Suppression de nvidia-375 (384.111-0ubuntu1) ...
Suppression de nvidia-384 (418.152.00-0ubuntu1) ...
Suppression de nvidia-driver-418 (430.64-0ubuntu0~gpu18.04.1) ...
Suppression de nvidia-driver-430 (440.100-0ubuntu0.18.04.1) ...
Suppression de nvidia-driver-440 (440.100-0ubuntu0.18.04.1) ...
Suppression de nvidia-prime (0.8.8.2) ...
Purge des fichiers de configuration de nvidia-prime (0.8.8.2) ...
Suppression de nvidia-settings (450.36.06-0ubuntu1) ...
Purge des fichiers de configuration de nvidia-settings (450.36.06-0ubuntu1) ...
Suppression de nvidia-utils-440 (440.100-0ubuntu0.18.04.1) ...
Suppression de xserver-xorg-video-nvidia-440 (440.100-0ubuntu0.18.04.1) ...
Suppression de libnvidia-cfg1-440:amd64 (440.100-0ubuntu0.18.04.1) ...
Suppression de libnvidia-decode-440:i386 (440.100-0ubuntu0.18.04.1) ...
Suppression de libnvidia-encode-440:amd64 (440.100-0ubuntu0.18.04.1) ...
Suppression de libnvidia-extra-440:amd64 (440.100-0ubuntu0.18.04.1) ...
Suppression de libnvidia-fbc1-440:amd64 (440.100-0ubuntu0.18.04.1) ...
Suppression de libnvidia-ifr1-440:amd64 (440.100-0ubuntu0.18.04.1) ...
Suppression de nvidia-compute-utils-440 (440.100-0ubuntu0.18.04.1) ...
Purge des fichiers de configuration de nvidia-compute-utils-440 (440.100-0ubuntu0.18.04.1) ...
Suppression de nvidia-dkms-440 (440.100-0ubuntu0.18.04.1) ...
Removing all DKMS Modules
Done.
INFO:Disable nvidia
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/put_your_quirks_here
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/lenovo_thinkpad
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/dell_latitude
update-initramfs: deferring update (trigger activated)
Purge des fichiers de configuration de nvidia-dkms-440 (440.100-0ubuntu0.18.04.1) ...
update-initramfs: deferring update (trigger activated)
Suppression de nvidia-kernel-common-440 (440.100-0ubuntu0.18.04.1) ...
update-initramfs: deferring update (trigger activated)
Purge des fichiers de configuration de nvidia-kernel-common-440 (440.100-0ubuntu0.18.04.1) ...
update-initramfs: deferring update (trigger activated)
Suppression de nvidia-kernel-source-440 (440.100-0ubuntu0.18.04.1) ...
Suppression de libnvidia-compute-440:i386 (440.100-0ubuntu0.18.04.1) ...
Suppression de libnvidia-decode-440:amd64 (440.100-0ubuntu0.18.04.1) ...
Suppression de libnvidia-compute-440:amd64 (440.100-0ubuntu0.18.04.1) ...
Purge des fichiers de configuration de libnvidia-compute-440:amd64 (440.100-0ubuntu0.18.04.1) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.27-3ubuntu1) ...
Traitement des actions différées (« triggers ») pour man-db (2.8.3-2ubuntu0.1) ...
Traitement des actions différées (« triggers ») pour gnome-menus (3.13.3-11ubuntu1.1) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.23-1ubuntu3.18.04.2) ...
Traitement des actions différées (« triggers ») pour mime-support (3.60ubuntu1) ...
Traitement des actions différées (« triggers ») pour initramfs-tools (0.130ubuntu3.9) ...
update-initramfs: Generating /boot/initrd.img-5.3.0-62-generic

Hors ligne

#13 Le 07/07/2020, à 10:52

nany

Re : sudo apt --fix-broken install returned an error

OK. Redonne maintenant le retour (j’espère vide) de :

dpkg -l | grep nvidia

Hors ligne

#14 Le 07/07/2020, à 11:00

marcopolo75

Re : sudo apt --fix-broken install returned an error

Effectivement c'est vide.

Hors ligne

#15 Le 07/07/2020, à 11:12

nany

Re : sudo apt --fix-broken install returned an error

Très bien. Donne maintenant les retours de :

wget -c http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1404/x86_64/cuda-repo-ubuntu1404_6.5-14_amd64.deb
sudo dpkg -i cuda-repo-ubuntu1404_6.5-14_amd64.deb
sudo apt clean && sudo apt update
sudo apt install -s cuda
sudo apt install -s cuda-6-5

Hors ligne

#16 Le 07/07/2020, à 11:48

marcopolo75

Re : sudo apt --fix-broken install returned an error

(base) utilisateur@agrop049:~$ wget -c http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1404/x86_64/cuda-repo-ubuntu1404_6.5-14_amd64.deb
--2020-07-07 12:45:59--  http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1404/x86_64/cuda-repo-ubuntu1404_6.5-14_amd64.deb
Résolution de developer.download.nvidia.com (developer.download.nvidia.com)… 152.199.20.126
Connexion à developer.download.nvidia.com (developer.download.nvidia.com)|152.199.20.126|:80… connecté.
requête HTTP transmise, en attente de la réponse… 200 OK
Taille : 2696 (2,6K) [application/x-deb]
Enregistre : «cuda-repo-ubuntu1404_6.5-14_amd64.deb»

cuda-repo-ubuntu140 100%[===================>]   2,63K  --.-KB/s    ds 0s      

2020-07-07 12:45:59 (15,7 MB/s) - «cuda-repo-ubuntu1404_6.5-14_amd64.deb» enregistré [2696/2696]

(base) utilisateur@agrop049:~$ sudo dpkg -i cuda-repo-ubuntu1404_6.5-14_amd64.deb
[sudo] Mot de passe de utilisateur : 
Désolé, essayez de nouveau.
[sudo] Mot de passe de utilisateur : 
Sélection du paquet cuda-repo-ubuntu1404 précédemment désélectionné.
(Lecture de la base de données... 223284 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de cuda-repo-ubuntu1404_6.5-14_amd64.deb ...
Dépaquetage de cuda-repo-ubuntu1404 (6.5-14) ...
dpkg: erreur de traitement de l'archive cuda-repo-ubuntu1404_6.5-14_amd64.deb (--install) :
 tentative de remplacement de « /etc/apt/sources.list.d/cuda.list », qui appartient aussi au paquet cuda-repo-ubuntu1804 10.1.243-1
Des erreurs ont été rencontrées pendant l'exécution :
 cuda-repo-ubuntu1404_6.5-14_amd64.deb
(base) utilisateur@agrop049:~$ sudo apt clean && sudo apt update
Atteint :1 http://fr.archive.ubuntu.com/ubuntu bionic InRelease
Réception de :2 http://fr.archive.ubuntu.com/ubuntu bionic-updates InRelease [88,7 kB]                              
Atteint :3 http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu bionic InRelease                                    
Réception de :4 http://fr.archive.ubuntu.com/ubuntu bionic-backports InRelease [74,6 kB]                            
Réception de :5 http://security.ubuntu.com/ubuntu bionic-security InRelease [88,7 kB]                               
Ign :6 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  InRelease                         
Atteint :7 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  Release                       
Ign :8 http://repo.mongodb.org/apt/ubuntu bionic/mongodb-org/4.0 InRelease                                          
Atteint :9 http://repo.mongodb.org/apt/ubuntu bionic/mongodb-org/4.0 Release                                        
Atteint :10 http://download.virtualbox.org/virtualbox/debian bionic InRelease                                       
Atteint :11 http://dl.google.com/linux/chrome/deb stable InRelease                                                  
Atteint :12 https://brave-browser-apt-release.s3.brave.com stable InRelease                                         
Atteint :13 https://repo.skype.com/deb stable InRelease                                                             
Réception de :14 http://fr.archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages [1006 kB]
Réception de :15 http://fr.archive.ubuntu.com/ubuntu bionic-updates/main i386 Packages [711 kB]             
Réception de :16 http://fr.archive.ubuntu.com/ubuntu bionic-updates/main Translation-en [339 kB]
Réception de :17 http://fr.archive.ubuntu.com/ubuntu bionic-updates/main amd64 DEP-11 Metadata [295 kB]
Réception de :18 http://fr.archive.ubuntu.com/ubuntu bionic-updates/restricted amd64 Packages [75,7 kB]
Réception de :19 http://fr.archive.ubuntu.com/ubuntu bionic-updates/restricted Translation-en [17,0 kB]
Réception de :20 http://fr.archive.ubuntu.com/ubuntu bionic-updates/universe amd64 Packages [1091 kB]
Réception de :21 http://fr.archive.ubuntu.com/ubuntu bionic-updates/universe i386 Packages [1024 kB]
Réception de :23 http://fr.archive.ubuntu.com/ubuntu bionic-updates/universe Translation-en [339 kB]
Réception de :24 http://fr.archive.ubuntu.com/ubuntu bionic-updates/universe amd64 DEP-11 Metadata [279 kB] 
Réception de :25 http://security.ubuntu.com/ubuntu bionic-security/main i386 Packages [502 kB]                      
Réception de :26 http://fr.archive.ubuntu.com/ubuntu bionic-updates/multiverse amd64 DEP-11 Metadata [2468 B]      
Réception de :27 http://fr.archive.ubuntu.com/ubuntu bionic-backports/universe amd64 DEP-11 Metadata [7968 B]      
Réception de :28 http://security.ubuntu.com/ubuntu bionic-security/main amd64 Packages [779 kB]                     
Réception de :30 http://security.ubuntu.com/ubuntu bionic-security/main Translation-en [245 kB]                    
Réception de :31 http://security.ubuntu.com/ubuntu bionic-security/main amd64 DEP-11 Metadata [46,0 kB]            
Réception de :32 http://security.ubuntu.com/ubuntu bionic-security/restricted amd64 Packages [67,2 kB]
Réception de :33 http://security.ubuntu.com/ubuntu bionic-security/restricted Translation-en [14,9 kB]
Réception de :34 http://security.ubuntu.com/ubuntu bionic-security/universe i386 Packages [625 kB]
Réception de :35 http://security.ubuntu.com/ubuntu bionic-security/universe amd64 Packages [678 kB]
Réception de :36 http://security.ubuntu.com/ubuntu bionic-security/universe Translation-en [225 kB]
Réception de :37 http://security.ubuntu.com/ubuntu bionic-security/universe amd64 DEP-11 Metadata [49,2 kB]
Réception de :38 http://security.ubuntu.com/ubuntu bionic-security/multiverse amd64 DEP-11 Metadata [2464 B]
8675 ko réceptionnés en 3s (2914 ko/s)                                                               
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
63 paquets peuvent être mis à jour. Exécutez « apt list --upgradable » pour les voir.
N: Le fichier configuré « contrib/binary-i386/Packages » ne sera pas pris en compte car le dépôt « http://download.virtualbox.org/virtualbox/debian bionic InRelease » ne prend pas en charge l'architecture « i386 »
(base) utilisateur@agrop049:~$ sudo apt install -s cuda
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libatomic1:i386 libbsd0:i386 libdrm-amdgpu1:i386 libdrm-intel1:i386 libdrm-nouveau2:i386 libdrm-radeon1:i386
  libdrm2:i386 libedit2:i386 libelf1:i386 libexpat1:i386 libffi6:i386 libgl1:i386 libgl1-mesa-dri:i386
  libglapi-mesa:i386 libglvnd0:i386 libglx-mesa0:i386 libglx0:i386 libllvm9:i386 libpciaccess0:i386
  libsensors4:i386 libstdc++6:i386 libx11-6:i386 libx11-xcb1:i386 libxau6:i386 libxcb-dri2-0:i386
  libxcb-dri3-0:i386 libxcb-glx0:i386 libxcb-present0:i386 libxcb-sync1:i386 libxcb1:i386 libxdamage1:i386
  libxdmcp6:i386 libxext6:i386 libxfixes3:i386 libxshmfence1:i386 libxxf86vm1:i386
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés : 
  cuda-11-0 cuda-command-line-tools-11-0 cuda-compiler-11-0 cuda-cudart-11-0 cuda-cudart-dev-11-0
  cuda-cuobjdump-11-0 cuda-cupti-11-0 cuda-cupti-dev-11-0 cuda-demo-suite-11-0 cuda-documentation-11-0
  cuda-driver-dev-11-0 cuda-drivers cuda-drivers-450 cuda-gdb-11-0 cuda-libraries-11-0 cuda-libraries-dev-11-0
  cuda-memcheck-11-0 cuda-nsight-11-0 cuda-nsight-compute-11-0 cuda-nsight-systems-11-0 cuda-nvcc-11-0
  cuda-nvdisasm-11-0 cuda-nvml-dev-11-0 cuda-nvprof-11-0 cuda-nvprune-11-0 cuda-nvrtc-11-0 cuda-nvrtc-dev-11-0
  cuda-nvtx-11-0 cuda-nvvp-11-0 cuda-runtime-11-0 cuda-samples-11-0 cuda-sanitizer-11-0 cuda-toolkit-11-0
  cuda-tools-11-0 cuda-visual-tools-11-0 default-jre default-jre-headless freeglut3 freeglut3-dev libcublas-11-0
  libcublas-dev-11-0 libcufft-11-0 libcufft-dev-11-0 libcurand-11-0 libcurand-dev-11-0 libcusolver-11-0
  libcusolver-dev-11-0 libcusparse-11-0 libcusparse-dev-11-0 libdrm-dev libgl1-mesa-dev libgles1 libglu1-mesa-dev
  libglvnd-core-dev libglvnd-dev libnpp-11-0 libnpp-dev-11-0 libnvidia-cfg1-450 libnvidia-common-450
  libnvidia-compute-450 libnvidia-decode-450 libnvidia-encode-450 libnvidia-fbc1-450 libnvidia-gl-450
  libnvidia-ifr1-450 libnvjpeg-11-0 libnvjpeg-dev-11-0 libopengl0 libx11-xcb-dev libxcb-dri2-0-dev libxcb-dri3-dev
  libxcb-glx0-dev libxcb-present-dev libxcb-randr0-dev libxcb-render0-dev libxcb-shape0-dev libxcb-sync-dev
  libxcb-xfixes0-dev libxdamage-dev libxfixes-dev libxi-dev libxshmfence-dev libxxf86vm-dev mesa-common-dev
  nsight-compute-2020.1.0 nsight-systems-2019.5.2 nvidia-compute-utils-450 nvidia-dkms-450 nvidia-driver-450
  nvidia-kernel-common-450 nvidia-kernel-source-450 nvidia-modprobe nvidia-prime nvidia-settings nvidia-utils-450
  openjdk-11-jre openjdk-11-jre-headless x11proto-damage-dev x11proto-fixes-dev x11proto-input-dev
  x11proto-xf86vidmode-dev xserver-xorg-video-nvidia-450
Paquets suggérés :
  fonts-ipafont-gothic fonts-ipafont-mincho fonts-wqy-microhei | fonts-wqy-zenhei
Paquets recommandés :
  libnvidia-compute-450:i386 libnvidia-decode-450:i386 libnvidia-encode-450:i386 libnvidia-ifr1-450:i386
  libnvidia-fbc1-450:i386 libnvidia-gl-450:i386
Les NOUVEAUX paquets suivants seront installés :
  cuda cuda-11-0 cuda-command-line-tools-11-0 cuda-compiler-11-0 cuda-cudart-11-0 cuda-cudart-dev-11-0
  cuda-cuobjdump-11-0 cuda-cupti-11-0 cuda-cupti-dev-11-0 cuda-demo-suite-11-0 cuda-documentation-11-0
  cuda-driver-dev-11-0 cuda-drivers cuda-drivers-450 cuda-gdb-11-0 cuda-libraries-11-0 cuda-libraries-dev-11-0
  cuda-memcheck-11-0 cuda-nsight-11-0 cuda-nsight-compute-11-0 cuda-nsight-systems-11-0 cuda-nvcc-11-0
  cuda-nvdisasm-11-0 cuda-nvml-dev-11-0 cuda-nvprof-11-0 cuda-nvprune-11-0 cuda-nvrtc-11-0 cuda-nvrtc-dev-11-0
  cuda-nvtx-11-0 cuda-nvvp-11-0 cuda-runtime-11-0 cuda-samples-11-0 cuda-sanitizer-11-0 cuda-toolkit-11-0
  cuda-tools-11-0 cuda-visual-tools-11-0 default-jre default-jre-headless freeglut3 freeglut3-dev libcublas-11-0
  libcublas-dev-11-0 libcufft-11-0 libcufft-dev-11-0 libcurand-11-0 libcurand-dev-11-0 libcusolver-11-0
  libcusolver-dev-11-0 libcusparse-11-0 libcusparse-dev-11-0 libdrm-dev libgl1-mesa-dev libgles1 libglu1-mesa-dev
  libglvnd-core-dev libglvnd-dev libnpp-11-0 libnpp-dev-11-0 libnvidia-cfg1-450 libnvidia-common-450
  libnvidia-compute-450 libnvidia-decode-450 libnvidia-encode-450 libnvidia-fbc1-450 libnvidia-gl-450
  libnvidia-ifr1-450 libnvjpeg-11-0 libnvjpeg-dev-11-0 libopengl0 libx11-xcb-dev libxcb-dri2-0-dev libxcb-dri3-dev
  libxcb-glx0-dev libxcb-present-dev libxcb-randr0-dev libxcb-render0-dev libxcb-shape0-dev libxcb-sync-dev
  libxcb-xfixes0-dev libxdamage-dev libxfixes-dev libxi-dev libxshmfence-dev libxxf86vm-dev mesa-common-dev
  nsight-compute-2020.1.0 nsight-systems-2019.5.2 nvidia-compute-utils-450 nvidia-dkms-450 nvidia-driver-450
  nvidia-kernel-common-450 nvidia-kernel-source-450 nvidia-modprobe nvidia-prime nvidia-settings nvidia-utils-450
  openjdk-11-jre openjdk-11-jre-headless x11proto-damage-dev x11proto-fixes-dev x11proto-input-dev
  x11proto-xf86vidmode-dev xserver-xorg-video-nvidia-450
0 mis à jour, 103 nouvellement installés, 0 à enlever et 63 non mis à jour.
Inst cuda-cudart-11-0 (11.0.171-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-nvrtc-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst libcublas-11-0 (11.0.0.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst libcufft-11-0 (10.1.3.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst libcurand-11-0 (10.2.0.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst libcusolver-11-0 (10.4.0.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst libcusparse-11-0 (11.0.0.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst libnpp-11-0 (11.0.0.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst libnvjpeg-11-0 (11.0.0.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-libraries-11-0 (11.0.1-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst libnvidia-common-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [all])
Inst libnvidia-compute-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst libnvidia-decode-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst libnvidia-encode-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst libnvidia-fbc1-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst libopengl0 (1.0.0-2ubuntu2.3 Ubuntu:18.04/bionic-updates [amd64])
Inst libnvidia-gl-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst libnvidia-ifr1-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst nvidia-compute-utils-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst nvidia-kernel-source-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst nvidia-kernel-common-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst nvidia-dkms-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst nvidia-utils-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst libnvidia-cfg1-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst xserver-xorg-video-nvidia-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst nvidia-driver-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst nvidia-modprobe (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst nvidia-settings (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-drivers-450 (450.36.06-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-drivers (450.36.06-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-runtime-11-0 (11.0.1-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-cuobjdump-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-driver-dev-11-0 (11.0.171-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-cudart-dev-11-0 (11.0.171-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-nvcc-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-nvprune-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-compiler-11-0 (11.0.1-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-nvrtc-dev-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst libcublas-dev-11-0 (11.0.0.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst libcufft-dev-11-0 (10.1.3.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst libcurand-dev-11-0 (10.2.0.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst libcusolver-dev-11-0 (10.4.0.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst libcusparse-dev-11-0 (11.0.0.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst libnpp-dev-11-0 (11.0.0.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst libnvjpeg-dev-11-0 (11.0.0.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-libraries-dev-11-0 (11.0.1-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-cupti-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-cupti-dev-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-nvdisasm-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-gdb-11-0 (11.0.172-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-memcheck-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-nvprof-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-nvtx-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-sanitizer-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-command-line-tools-11-0 (11.0.1-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst nsight-compute-2020.1.0 (2020.1.0.33-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-nsight-compute-11-0 (11.0.1-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst nsight-systems-2019.5.2 (2019.5.2.16-b54ef97 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-nsight-systems-11-0 (11.0.1-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst openjdk-11-jre-headless (11.0.7+10-2ubuntu2~18.04 Ubuntu:18.04/bionic-updates, Ubuntu:18.04/bionic-security [amd64])
Inst default-jre-headless (2:1.11-68ubuntu1~18.04.1 Ubuntu:18.04/bionic-updates, Ubuntu:18.04/bionic-security [amd64])
Inst openjdk-11-jre (11.0.7+10-2ubuntu2~18.04 Ubuntu:18.04/bionic-updates, Ubuntu:18.04/bionic-security [amd64])
Inst default-jre (2:1.11-68ubuntu1~18.04.1 Ubuntu:18.04/bionic-updates, Ubuntu:18.04/bionic-security [amd64])
Inst cuda-nsight-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-nvml-dev-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-nvvp-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-visual-tools-11-0 (11.0.1-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-tools-11-0 (11.0.1-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst freeglut3 (2.8.1-3 Ubuntu:18.04/bionic [amd64])
Inst libdrm-dev (2.4.101-2~18.04.1 Ubuntu:18.04/bionic-updates [amd64])
Inst mesa-common-dev (19.2.8-0ubuntu0~18.04.3 Ubuntu:18.04/bionic-updates [amd64])
Inst libglvnd-core-dev (1.0.0-2ubuntu2.3 Ubuntu:18.04/bionic-updates [amd64])
Inst libgles1 (1.0.0-2ubuntu2.3 Ubuntu:18.04/bionic-updates [amd64])
Inst libglvnd-dev (1.0.0-2ubuntu2.3 Ubuntu:18.04/bionic-updates [amd64])
Inst libx11-xcb-dev (2:1.6.4-3ubuntu0.2 Ubuntu:18.04/bionic-updates [amd64])
Inst libxcb-dri3-dev (1.13-2~ubuntu18.04 Ubuntu:18.04/bionic-updates [amd64])
Inst libxcb-render0-dev (1.13-2~ubuntu18.04 Ubuntu:18.04/bionic-updates [amd64])
Inst libxcb-randr0-dev (1.13-2~ubuntu18.04 Ubuntu:18.04/bionic-updates [amd64])
Inst libxcb-shape0-dev (1.13-2~ubuntu18.04 Ubuntu:18.04/bionic-updates [amd64])
Inst libxcb-xfixes0-dev (1.13-2~ubuntu18.04 Ubuntu:18.04/bionic-updates [amd64])
Inst libxcb-sync-dev (1.13-2~ubuntu18.04 Ubuntu:18.04/bionic-updates [amd64])
Inst libxcb-present-dev (1.13-2~ubuntu18.04 Ubuntu:18.04/bionic-updates [amd64])
Inst libxshmfence-dev (1.3-1 Ubuntu:18.04/bionic [amd64])
Inst libxcb-dri2-0-dev (1.13-2~ubuntu18.04 Ubuntu:18.04/bionic-updates [amd64])
Inst libxcb-glx0-dev (1.13-2~ubuntu18.04 Ubuntu:18.04/bionic-updates [amd64])
Inst x11proto-fixes-dev (1:2018.4-4 Ubuntu:18.04/bionic [all])
Inst libxfixes-dev (1:5.0.3-1 Ubuntu:18.04/bionic [amd64])
Inst x11proto-damage-dev (1:2018.4-4 Ubuntu:18.04/bionic [all])
Inst libxdamage-dev (1:1.1.4-3 Ubuntu:18.04/bionic [amd64])
Inst x11proto-xf86vidmode-dev (2018.4-4 Ubuntu:18.04/bionic [all])
Inst libxxf86vm-dev (1:1.1.4-1 Ubuntu:18.04/bionic [amd64])
Inst libgl1-mesa-dev (19.2.8-0ubuntu0~18.04.3 Ubuntu:18.04/bionic-updates [amd64])
Inst libglu1-mesa-dev (9.0.0-2.1build1 Ubuntu:18.04/bionic [amd64])
Inst freeglut3-dev (2.8.1-3 Ubuntu:18.04/bionic [amd64])
Inst x11proto-input-dev (2018.4-4 Ubuntu:18.04/bionic [all])
Inst libxi-dev (2:1.7.9-1 Ubuntu:18.04/bionic [amd64])
Inst cuda-samples-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-documentation-11-0 (11.0.182-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-toolkit-11-0 (11.0.1-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-demo-suite-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda-11-0 (11.0.1-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst cuda (11.0.1-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Inst nvidia-prime (0.8.8.2 Ubuntu:18.04/bionic-updates [all])
Conf cuda-cudart-11-0 (11.0.171-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-nvrtc-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf libcublas-11-0 (11.0.0.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf libcufft-11-0 (10.1.3.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf libcurand-11-0 (10.2.0.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf libcusolver-11-0 (10.4.0.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf libcusparse-11-0 (11.0.0.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf libnpp-11-0 (11.0.0.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf libnvjpeg-11-0 (11.0.0.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-libraries-11-0 (11.0.1-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf libnvidia-common-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [all])
Conf libnvidia-compute-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf libnvidia-decode-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf libnvidia-encode-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf libnvidia-fbc1-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf libopengl0 (1.0.0-2ubuntu2.3 Ubuntu:18.04/bionic-updates [amd64])
Conf libnvidia-gl-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf libnvidia-ifr1-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf nvidia-compute-utils-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf nvidia-kernel-source-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf nvidia-kernel-common-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf nvidia-dkms-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf nvidia-utils-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf libnvidia-cfg1-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf xserver-xorg-video-nvidia-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf nvidia-driver-450 (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf nvidia-modprobe (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf nvidia-settings (450.36.06-0ubuntu1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-drivers-450 (450.36.06-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-drivers (450.36.06-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-runtime-11-0 (11.0.1-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-cuobjdump-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-driver-dev-11-0 (11.0.171-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-cudart-dev-11-0 (11.0.171-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-nvcc-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-nvprune-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-compiler-11-0 (11.0.1-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-nvrtc-dev-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf libcublas-dev-11-0 (11.0.0.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf libcufft-dev-11-0 (10.1.3.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf libcurand-dev-11-0 (10.2.0.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf libcusolver-dev-11-0 (10.4.0.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf libcusparse-dev-11-0 (11.0.0.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf libnpp-dev-11-0 (11.0.0.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf libnvjpeg-dev-11-0 (11.0.0.191-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-libraries-dev-11-0 (11.0.1-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-cupti-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-cupti-dev-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-nvdisasm-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-gdb-11-0 (11.0.172-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-memcheck-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-nvprof-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-nvtx-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-sanitizer-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-command-line-tools-11-0 (11.0.1-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf nsight-compute-2020.1.0 (2020.1.0.33-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-nsight-compute-11-0 (11.0.1-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf nsight-systems-2019.5.2 (2019.5.2.16-b54ef97 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-nsight-systems-11-0 (11.0.1-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf openjdk-11-jre-headless (11.0.7+10-2ubuntu2~18.04 Ubuntu:18.04/bionic-updates, Ubuntu:18.04/bionic-security [amd64])
Conf default-jre-headless (2:1.11-68ubuntu1~18.04.1 Ubuntu:18.04/bionic-updates, Ubuntu:18.04/bionic-security [amd64])
Conf openjdk-11-jre (11.0.7+10-2ubuntu2~18.04 Ubuntu:18.04/bionic-updates, Ubuntu:18.04/bionic-security [amd64])
Conf default-jre (2:1.11-68ubuntu1~18.04.1 Ubuntu:18.04/bionic-updates, Ubuntu:18.04/bionic-security [amd64])
Conf cuda-nsight-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-nvml-dev-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-nvvp-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-visual-tools-11-0 (11.0.1-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-tools-11-0 (11.0.1-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf freeglut3 (2.8.1-3 Ubuntu:18.04/bionic [amd64])
Conf libdrm-dev (2.4.101-2~18.04.1 Ubuntu:18.04/bionic-updates [amd64])
Conf mesa-common-dev (19.2.8-0ubuntu0~18.04.3 Ubuntu:18.04/bionic-updates [amd64])
Conf libglvnd-core-dev (1.0.0-2ubuntu2.3 Ubuntu:18.04/bionic-updates [amd64])
Conf libgles1 (1.0.0-2ubuntu2.3 Ubuntu:18.04/bionic-updates [amd64])
Conf libglvnd-dev (1.0.0-2ubuntu2.3 Ubuntu:18.04/bionic-updates [amd64])
Conf libx11-xcb-dev (2:1.6.4-3ubuntu0.2 Ubuntu:18.04/bionic-updates [amd64])
Conf libxcb-dri3-dev (1.13-2~ubuntu18.04 Ubuntu:18.04/bionic-updates [amd64])
Conf libxcb-render0-dev (1.13-2~ubuntu18.04 Ubuntu:18.04/bionic-updates [amd64])
Conf libxcb-randr0-dev (1.13-2~ubuntu18.04 Ubuntu:18.04/bionic-updates [amd64])
Conf libxcb-shape0-dev (1.13-2~ubuntu18.04 Ubuntu:18.04/bionic-updates [amd64])
Conf libxcb-xfixes0-dev (1.13-2~ubuntu18.04 Ubuntu:18.04/bionic-updates [amd64])
Conf libxcb-sync-dev (1.13-2~ubuntu18.04 Ubuntu:18.04/bionic-updates [amd64])
Conf libxcb-present-dev (1.13-2~ubuntu18.04 Ubuntu:18.04/bionic-updates [amd64])
Conf libxshmfence-dev (1.3-1 Ubuntu:18.04/bionic [amd64])
Conf libxcb-dri2-0-dev (1.13-2~ubuntu18.04 Ubuntu:18.04/bionic-updates [amd64])
Conf libxcb-glx0-dev (1.13-2~ubuntu18.04 Ubuntu:18.04/bionic-updates [amd64])
Conf x11proto-fixes-dev (1:2018.4-4 Ubuntu:18.04/bionic [all])
Conf libxfixes-dev (1:5.0.3-1 Ubuntu:18.04/bionic [amd64])
Conf x11proto-damage-dev (1:2018.4-4 Ubuntu:18.04/bionic [all])
Conf libxdamage-dev (1:1.1.4-3 Ubuntu:18.04/bionic [amd64])
Conf x11proto-xf86vidmode-dev (2018.4-4 Ubuntu:18.04/bionic [all])
Conf libxxf86vm-dev (1:1.1.4-1 Ubuntu:18.04/bionic [amd64])
Conf libgl1-mesa-dev (19.2.8-0ubuntu0~18.04.3 Ubuntu:18.04/bionic-updates [amd64])
Conf libglu1-mesa-dev (9.0.0-2.1build1 Ubuntu:18.04/bionic [amd64])
Conf freeglut3-dev (2.8.1-3 Ubuntu:18.04/bionic [amd64])
Conf x11proto-input-dev (2018.4-4 Ubuntu:18.04/bionic [all])
Conf libxi-dev (2:1.7.9-1 Ubuntu:18.04/bionic [amd64])
Conf cuda-samples-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-documentation-11-0 (11.0.182-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-toolkit-11-0 (11.0.1-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-demo-suite-11-0 (11.0.167-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda-11-0 (11.0.1-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf cuda (11.0.1-1 NVIDIA CUDA:developer.download.nvidia.com [amd64])
Conf nvidia-prime (0.8.8.2 Ubuntu:18.04/bionic-updates [all])
(base) utilisateur@agrop049:~$ sudo apt install -s cuda-6-5
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet cuda-6-5

Hors ligne

#17 Le 07/07/2020, à 12:00

nany

Re : sudo apt --fix-broken install returned an error

Je vois, il reste des traces de ta tentative d’installation de cuda.
Donne le retour de :

dpkg -l | grep cuda

Hors ligne

#18 Le 07/07/2020, à 12:15

marcopolo75

Re : sudo apt --fix-broken install returned an error

(base) utilisateur@agrop049:~$ dpkg -l | grep cuda
ii  cuda-repo-ubuntu1804                       10.1.243-1                                       amd64        cuda repository configuration files

Hors ligne

#19 Le 07/07/2020, à 12:20

nany

Re : sudo apt --fix-broken install returned an error

Bon alors donne les retours de :

sudo dpkg -P cuda-repo-ubuntu1804
sudo apt autoremove -y
sudo dpkg -i cuda-repo-ubuntu1404_6.5-14_amd64.deb
sudo apt clean && sudo apt update
sudo apt install -s cuda
sudo apt install -s cuda-6-5

Hors ligne

#20 Le 07/07/2020, à 12:28

marcopolo75

Re : sudo apt --fix-broken install returned an error

Et voici :

(base) utilisateur@agrop049:~$ sudo dpkg -P cuda-repo-ubuntu1804
[sudo] Mot de passe de utilisateur : 
(Lecture de la base de données... 223281 fichiers et répertoires déjà installés.)
Suppression de cuda-repo-ubuntu1804 (10.1.243-1) ...
Purge des fichiers de configuration de cuda-repo-ubuntu1804 (10.1.243-1) ...
(base) utilisateur@agrop049:~$ sudo apt autoremove -y
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants seront ENLEVÉS :
  dkms libatomic1:i386 libbsd0:i386 libdrm-amdgpu1:i386 libdrm-intel1:i386 libdrm-nouveau2:i386 libdrm-radeon1:i386 libdrm2:i386 libedit2:i386 libelf1:i386
  libexpat1:i386 libffi6:i386 libgl1:i386 libgl1-mesa-dri:i386 libglapi-mesa:i386 libglvnd0:i386 libglx-mesa0:i386 libglx0:i386 libllvm9:i386 libpciaccess0:i386
  libsensors4:i386 libstdc++6:i386 libvdpau1 libx11-6:i386 libx11-xcb1:i386 libxau6:i386 libxcb-dri2-0:i386 libxcb-dri3-0:i386 libxcb-glx0:i386 libxcb-present0:i386
  libxcb-sync1:i386 libxcb1:i386 libxdamage1:i386 libxdmcp6:i386 libxext6:i386 libxfixes3:i386 libxnvctrl0 libxshmfence1:i386 libxxf86vm1:i386 mesa-vdpau-drivers
  pkg-config screen-resolution-extra vdpau-driver-all
0 mis à jour, 0 nouvellement installés, 43 à enlever et 60 non mis à jour.
Après cette opération, 367 Mo d'espace disque seront libérés.
(Lecture de la base de données... 223278 fichiers et répertoires déjà installés.)
Suppression de dkms (2.3-3ubuntu9.7) ...
Suppression de libgl1:i386 (1.0.0-2ubuntu2.3) ...
Suppression de libglx0:i386 (1.0.0-2ubuntu2.3) ...
Suppression de libglx-mesa0:i386 (19.2.8-0ubuntu0~18.04.3) ...
Suppression de libgl1-mesa-dri:i386 (19.2.8-0ubuntu0~18.04.3) ...
Suppression de libllvm9:i386 (1:9-2~ubuntu18.04.2) ...
Suppression de libatomic1:i386 (8.4.0-1ubuntu1~18.04) ...
Suppression de libxxf86vm1:i386 (1:1.1.4-1) ...
Suppression de libxfixes3:i386 (1:5.0.3-1) ...
Suppression de libxcb-sync1:i386 (1.13-2~ubuntu18.04) ...
Suppression de libdrm-amdgpu1:i386 (2.4.101-2~18.04.1) ...
Suppression de libdrm-intel1:i386 (2.4.101-2~18.04.1) ...
Suppression de libdrm-nouveau2:i386 (2.4.101-2~18.04.1) ...
Suppression de libdrm-radeon1:i386 (2.4.101-2~18.04.1) ...
Suppression de libdrm2:i386 (2.4.101-2~18.04.1) ...
Suppression de libedit2:i386 (3.1-20170329-1) ...
Suppression de libelf1:i386 (0.170-0.4ubuntu0.1) ...
Suppression de libexpat1:i386 (2.2.5-3ubuntu0.2) ...
Suppression de libffi6:i386 (3.2.1-8) ...
Suppression de libglapi-mesa:i386 (19.2.8-0ubuntu0~18.04.3) ...
Suppression de libglvnd0:i386 (1.0.0-2ubuntu2.3) ...
Suppression de libpciaccess0:i386 (0.14-1) ...
Suppression de libsensors4:i386 (1:3.4.0-4) ...
Suppression de libstdc++6:i386 (8.4.0-1ubuntu1~18.04) ...
Suppression de vdpau-driver-all:amd64 (1.1.1-3ubuntu1) ...
Suppression de mesa-vdpau-drivers:amd64 (19.2.8-0ubuntu0~18.04.3) ...
Suppression de libvdpau1:amd64 (1.1.1-3ubuntu1) ...
Suppression de libx11-xcb1:i386 (2:1.6.4-3ubuntu0.2) ...
Suppression de libxcb-dri2-0:i386 (1.13-2~ubuntu18.04) ...
Suppression de libxcb-dri3-0:i386 (1.13-2~ubuntu18.04) ...
Suppression de libxcb-glx0:i386 (1.13-2~ubuntu18.04) ...
Suppression de libxcb-present0:i386 (1.13-2~ubuntu18.04) ...
Suppression de libxdamage1:i386 (1:1.1.4-3) ...
Suppression de libxext6:i386 (2:1.3.3-1) ...
Suppression de libxnvctrl0:amd64 (450.36.06-0ubuntu1) ...
Suppression de libxshmfence1:i386 (1.3-1) ...
Suppression de pkg-config (0.29.1-0ubuntu2) ...
Suppression de screen-resolution-extra (0.17.3) ...
Suppression de libx11-6:i386 (2:1.6.4-3ubuntu0.2) ...
Suppression de libxcb1:i386 (1.13-2~ubuntu18.04) ...
Suppression de libxdmcp6:i386 (1:1.1.2-3) ...
Suppression de libbsd0:i386 (0.8.7-1ubuntu0.1) ...
Suppression de libxau6:i386 (1:1.0.8-1ubuntu1) ...
Traitement des actions différées (« triggers ») pour man-db (2.8.3-2ubuntu0.1) ...
Traitement des actions différées (« triggers ») pour dbus (1.12.2-1ubuntu1.2) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.27-3ubuntu1) ...
(base) utilisateur@agrop049:~$ sudo dpkg -i cuda-repo-ubuntu1404_6.5-14_amd64.deb
(Lecture de la base de données... 223094 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de cuda-repo-ubuntu1404_6.5-14_amd64.deb ...
Dépaquetage de cuda-repo-ubuntu1404 (6.5-14) ...
Paramétrage de cuda-repo-ubuntu1404 (6.5-14) ...
Warning: The postinst maintainerscript of the package cuda-repo-ubuntu1404
Warning: seems to use apt-key (provided by apt) without depending on gnupg or gnupg2.
Warning: This will BREAK in the future and should be fixed by the package maintainer(s).
Note: Check first if apt-key functionality is needed at all - it probably isn't!
Warning: apt-key should not be used in scripts (called from postinst maintainerscript of the package cuda-repo-ubuntu1404)
OK
(base) utilisateur@agrop049:~$ sudo apt clean && sudo apt update
Réception de :1 http://security.ubuntu.com/ubuntu bionic-security InRelease [88,7 kB]
Atteint :2 http://fr.archive.ubuntu.com/ubuntu bionic InRelease                                                                                                      
Atteint :3 http://fr.archive.ubuntu.com/ubuntu bionic-updates InRelease                                                                                              
Atteint :4 http://fr.archive.ubuntu.com/ubuntu bionic-backports InRelease                                                                                            
Atteint :5 https://brave-browser-apt-release.s3.brave.com stable InRelease                                                                                           
Atteint :6 http://dl.google.com/linux/chrome/deb stable InRelease                                                                                                    
Atteint :7 http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu bionic InRelease                                                                                     
Atteint :8 http://download.virtualbox.org/virtualbox/debian bionic InRelease                                                                                         
Ign :9 http://repo.mongodb.org/apt/ubuntu bionic/mongodb-org/4.0 InRelease                                                                                     
Atteint :10 http://repo.mongodb.org/apt/ubuntu bionic/mongodb-org/4.0 Release                                               
Ign :11 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1404/x86_64  InRelease                 
Réception de :12 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1404/x86_64  Release [697 B]  
Réception de :13 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1404/x86_64  Release.gpg [836 B]
Atteint :14 https://repo.skype.com/deb stable InRelease                                                      
Ign :16 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1404/x86_64  Packages
Réception de :16 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1404/x86_64  Packages [249 kB]
339 ko réceptionnés en 2s (175 ko/s)
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
61 paquets peuvent être mis à jour. Exécutez « apt list --upgradable » pour les voir.
N: Le fichier configuré « contrib/binary-i386/Packages » ne sera pas pris en compte car le dépôt « http://download.virtualbox.org/virtualbox/debian bionic InRelease » ne prend pas en charge l'architecture « i386 »
(base) utilisateur@agrop049:~$ sudo apt install -s cuda
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation : 

Les paquets suivants contiennent des dépendances non satisfaites :
 cuda : Dépend: cuda-10-1 (>= 10.1.243) mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
(base) utilisateur@agrop049:~$ sudo apt install -s cuda-6-5
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation : 

Les paquets suivants contiennent des dépendances non satisfaites :
 cuda-6-5 : Dépend: cuda-runtime-6-5 (= 6.5-19) mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

Hors ligne

#21 Le 07/07/2020, à 12:37

nany

Re : sudo apt --fix-broken install returned an error

Il y a un problème de dépendances.
Je dois à présent m’absenter. Je regarderai ce soir si on peut faire quelque chose.

Hors ligne

#22 Le 07/07/2020, à 12:41

marcopolo75

Re : sudo apt --fix-broken install returned an error

Très bien,
en tout cas merci beaucoup de tous vos efforts pour m'aider.

A bientôt

Hors ligne

#23 Le 07/07/2020, à 17:13

nany

Re : sudo apt --fix-broken install returned an error

Bon, voyons cette dépendance qui ne veux pas s’installer.
Donne le retour de :

apt policy cuda-runtime-6-5

Hors ligne

#24 Le 08/07/2020, à 08:20

marcopolo75

Re : sudo apt --fix-broken install returned an error

(base) utilisateur@agrop049:~$ apt policy cuda-runtime-6-5
cuda-runtime-6-5:
  Installé : (aucun)
  Candidat : 6.5-19
 Table de version :
     6.5-19 500
        500 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1404/x86_64  Packages
     6.5-14 500
        500 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1404/x86_64  Packages

Hors ligne

#25 Le 08/07/2020, à 09:09

nany

Re : sudo apt --fix-broken install returned an error

Bizarre, elle devrait donc pourtant s’installer. Continuons l’investigation.
Donne le retour de :

sudo apt install -s cuda-runtime-6-5

Hors ligne